package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 物料校验客户标签明细
 * @Reference :
 * @Author : dominic
 * @CreateDate : 2021/3/22 13:37
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "IF_PART_CHECK_CUSTOMER_LABEL_DETAIL")
@Api("IF_物料校验客户标签明细")
public class IfPartCheckCustomerLabelDetail extends BaseBean {

    @Column(name = "PACKAGE_NO")
    @ApiParam("托条码")
    private String packageNo;

    @Column(name = "CUSTOMER_LABEL")
    @ApiParam("客户标签")
    private String customerLabel;
}
