package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/11 下午12:30
 * @desc
 */
@Entity
@Table(name = "SCR_LAYOUT")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Api("布局")
public class ScrLayout extends BaseBean implements Serializable {

    private static final long serialVersionUID = 3390463604300159807L;
    @Column(name = "LAYOUT_CODE")
    @ApiParam("布局代码")
    private String layoutCode;

    @Column(name = "LAYOUT_NAME")
    @ApiParam("布局名称")
    private String layoutName;

    @Column(name = "ROW_SEQ")
    @ApiParam("行顺序")
    private Integer rowSeq;

    @Column(name = "ROW_CODE")
    @ApiParam("行代码")
    private String rowCode;

}
