package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午7:47
 * @desc
 */
@Entity
@Table(name = "SCR_SCREEN")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Api("页面")
public class ScrScreen extends BaseBean implements Serializable {
    private static final long serialVersionUID = -6755902986892118213L;

    @Column(name = "SCREEN_CODE")
    @ApiParam("页面代码")
    private String screenCode;

    @Column(name = "SCREEN_NAME")
    @ApiParam("页面名称")
    private String screenName;

    @Column(name = "SCREEN_VERSION")
    @ApiParam("页面版本")
    private String screenVersion;

    @Column(name = "LAYOUT_CODE")
    @ApiParam("布局代码")
    private String layoutCode;

}
