package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/11 下午5:01
 * @desc
 */
@Entity
@Table(name = "SCR_LAYOUT_COLUMN")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
//@Builder
@Api("布局-列")
public class ScrLayoutColumn extends BaseBean implements Serializable {
    private static final long serialVersionUID = 5001564292608042287L;

    @Column(name = "COL_CODE")
    @ApiParam("列代码")
    private String colCode;

    @Column(name ="COL_NAME")
    @ApiParam("列名称")
    private String colName;

    @Column(name ="COL_SPAN")
    @ApiParam("列占位")
    private Integer colSpan;

}
