package cn.estsh.i3plus.pojo.screen.bean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/11 下午5:01
 * @desc
 */
@Entity
@Table(name = "SCR_PANEL_LAYOUT_COLUMN")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Api("Panel布局-列")
public class ScrPanelLayoutColumn extends ScrLayoutColumn implements Serializable {
    private static final long serialVersionUID = 6577099884589179886L;

    @Column(name = "COMPONENT_CODE")
    @ApiParam("组件代码")
    private String componentCode;
}
